/*!
 * @file        usbd_class_cdc.h
 *
 * @brief       CDC Class handler file head file
 *
 * @version     V1.0.0
 *
 * @date        2022-12-31
 *
 * @attention
 *
 *  Copyright (C) 2022-2023 Geehy Semiconductor
 *
 *  You may not use this file except in compliance with the
 *  GEEHY COPYRIGHT NOTICE (GEEHY SOFTWARE PACKAGE LICENSE).
 *
 *  The program is only for reference, which is distributed in the hope
 *  that it will be useful and instructional for customers to develop
 *  their software. Unless required by applicable law or agreed to in
 *  writing, the program is distributed on an "AS IS" BASIS, WITHOUT
 *  ANY WARRANTY OR CONDITIONS OF ANY KIND, either express or implied.
 *  See the GEEHY SOFTWARE PACKAGE LICENSE for the governing permissions
 *  and limitations under the License.
 */

/* Define to prevent recursive inclusion */
#ifndef __CDC_CLASS_
#define __CDC_CLASS_

/* Includes */
#include "usbd_core.h"

/** @addtogroup USB_Device
  @{
  */

/** @addtogroup Class_CDC
  @{
  */

/** @defgroup Class_CDC_Functions Functions
  @{
*/

void USBD_ClassHandler(USBD_DevReqData_T* reqData);

/**@} end of group Class_CDC_Functions */
/**@} end of group Class_CDC */
/**@} end of group USB_Device */

#endif
