/*!
 * @file        usbd_class_hid.h
 *
 * @brief       HID Class handler file head file
 *
 * @version     V1.0.0
 *
 * @date        2022-12-31
 *
 * @attention
 *
 *  Copyright (C) 2022-2023 Geehy Semiconductor
 *
 *  You may not use this file except in compliance with the
 *  GEEHY COPYRIGHT NOTICE (GEEHY SOFTWARE PACKAGE LICENSE).
 *
 *  The program is only for reference, which is distributed in the hope
 *  that it will be useful and instructional for customers to develop
 *  their software. Unless required by applicable law or agreed to in
 *  writing, the program is distributed on an "AS IS" BASIS, WITHOUT
 *  ANY WARRANTY OR CONDITIONS OF ANY KIND, either express or implied.
 *  See the GEEHY SOFTWARE PACKAGE LICENSE for the governing permissions
 *  and limitations under the License.
 */

/* Includes */
#include "usbd_core.h"

/** @addtogroup USB_Device
  @{
  */

/** @addtogroup Class_HID
  @{
  */

/** @defgroup Class_HID_Macros Macros
  @{
*/

#define HID_CLASS_REQ_SET_PROTOCOL          0x0B
#define HID_CLASS_REQ_GET_PROTOCOL          0x03

#define HID_CLASS_REQ_SET_IDLE              0x0A
#define HID_CLASS_REQ_GET_IDLE              0x02

#define HID_CLASS_REQ_SET_REPORT            0x09
#define HID_CLASS_REQ_GET_REPORT            0x01

/**@} end of group Class_HID_Macros */

/** @defgroup Class_HID_Functions Functions
  @{
*/

void USBD_ClassHandler(USBD_DevReqData_T* reqData);

/**@} end of group Class_HID_Functions */
/**@} end of group Class_HID */
/**@} end of group USB_Device */
